Commit 57e3cd26 authored by Helen Koike's avatar Helen Koike Committed by Maxime Ripard

drm/ci: uprev IGT and make sure core_getversion is run

IGT has recently merged a patch that makes code_getversion test to fails
if the driver isn't loaded or if it isn't the expected one defined in
variable IGT_FORCE_DRIVER.

Without this test, jobs were passing when the driver didn't load or
probe for some reason, giving the illusion that everything was ok.

Uprev IGT to include this modification and include core_getversion test
in all the shards.
Signed-off-by: default avatarHelen Koike <helen.koike@collabora.com>
Reviewed-by: default avatarDavid Heidelberg <david.heidelberg@collabora.com>
Link: https://lore.kernel.org/r/20231024004525.169002-5-helen.koike@collabora.comSigned-off-by: default avatarMaxime Ripard <mripard@kernel.org>
parent d70896f2
...@@ -5,7 +5,7 @@ variables: ...@@ -5,7 +5,7 @@ variables:
UPSTREAM_REPO: git://anongit.freedesktop.org/drm/drm UPSTREAM_REPO: git://anongit.freedesktop.org/drm/drm
TARGET_BRANCH: drm-next TARGET_BRANCH: drm-next
IGT_VERSION: 471bfababd070e1dac0ebb87470ac4f2ae85e663 IGT_VERSION: d1db7333d9c5fbbb05e50b0804123950d9dc1c46
DEQP_RUNNER_GIT_URL: https://gitlab.freedesktop.org/anholt/deqp-runner.git DEQP_RUNNER_GIT_URL: https://gitlab.freedesktop.org/anholt/deqp-runner.git
DEQP_RUNNER_GIT_TAG: v0.15.0 DEQP_RUNNER_GIT_TAG: v0.15.0
......
...@@ -20,11 +20,16 @@ set +e ...@@ -20,11 +20,16 @@ set +e
cat /sys/kernel/debug/dri/*/state cat /sys/kernel/debug/dri/*/state
set -e set -e
# Cannot use HWCI_KERNEL_MODULES as at that point we don't have the module in /lib case "$DRIVER_NAME" in
if [ "$IGT_FORCE_DRIVER" = "amdgpu" ]; then rockchip|mediatek|meson)
mv /install/modules/lib/modules/* /lib/modules/. export IGT_FORCE_DRIVER="panfrost"
modprobe amdgpu ;;
fi amdgpu)
# Cannot use HWCI_KERNEL_MODULES as at that point we don't have the module in /lib
mv /install/modules/lib/modules/* /lib/modules/.
modprobe amdgpu
;;
esac
if [ -e "/install/xfails/$DRIVER_NAME-$GPU_VERSION-skips.txt" ]; then if [ -e "/install/xfails/$DRIVER_NAME-$GPU_VERSION-skips.txt" ]; then
IGT_SKIPS="--skips /install/xfails/$DRIVER_NAME-$GPU_VERSION-skips.txt" IGT_SKIPS="--skips /install/xfails/$DRIVER_NAME-$GPU_VERSION-skips.txt"
...@@ -48,6 +53,20 @@ fi ...@@ -48,6 +53,20 @@ fi
curl -L --retry 4 -f --retry-all-errors --retry-delay 60 -s ${FDO_HTTP_CACHE_URI:-}$PIPELINE_ARTIFACTS_BASE/$ARCH/igt.tar.gz | tar --zstd -v -x -C / curl -L --retry 4 -f --retry-all-errors --retry-delay 60 -s ${FDO_HTTP_CACHE_URI:-}$PIPELINE_ARTIFACTS_BASE/$ARCH/igt.tar.gz | tar --zstd -v -x -C /
# If the job is parallel at the gitab job level, take the corresponding fraction
# of the caselist.
if [ -n "$CI_NODE_INDEX" ]; then
sed -ni $CI_NODE_INDEX~$CI_NODE_TOTAL"p" /install/testlist.txt
fi
# core_getversion checks if the driver is loaded and probed correctly
# so run it in all shards
if ! grep -q "core_getversion" /install/testlist.txt; then
# Add the line to the file
echo "core_getversion" >> /install/testlist.txt
fi
set +e set +e
igt-runner \ igt-runner \
run \ run \
...@@ -57,8 +76,6 @@ igt-runner \ ...@@ -57,8 +76,6 @@ igt-runner \
$IGT_SKIPS \ $IGT_SKIPS \
$IGT_FLAKES \ $IGT_FLAKES \
$IGT_FAILS \ $IGT_FAILS \
--fraction-start $CI_NODE_INDEX \
--fraction $CI_NODE_TOTAL \
--jobs 1 --jobs 1
ret=$? ret=$?
set -e set -e
......
...@@ -4,7 +4,7 @@ variables: ...@@ -4,7 +4,7 @@ variables:
DEBIAN_BASE_TAG: "${CONTAINER_TAG}" DEBIAN_BASE_TAG: "${CONTAINER_TAG}"
DEBIAN_X86_64_BUILD_IMAGE_PATH: "debian/x86_64_build" DEBIAN_X86_64_BUILD_IMAGE_PATH: "debian/x86_64_build"
DEBIAN_BUILD_TAG: "2023-10-06-amd" DEBIAN_BUILD_TAG: "2023-10-08-igt"
KERNEL_ROOTFS_TAG: "2023-10-06-amd" KERNEL_ROOTFS_TAG: "2023-10-06-amd"
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment